package com.prolog.cs.biz.outbound.model.dto.check;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class LclAdjustDTO {
    @ApiModelProperty(value = "订单id", required = true)
    private String billGroupId;
    @ApiModelProperty(value = "拼箱号", required = true)
    private Integer lclNo;

    @ApiModelProperty(value = "商品编码", required = true)
    private String itemCode;

    @ApiModelProperty(value = "商品id", required = true)
    private String itemId;


    @ApiModelProperty(value = "容器编码", required = true)
    private String containerCode;

    @ApiModelProperty(value = "拣货任务明细", required = true)
    private String pickTaskDId;

    @ApiModelProperty(value = "商品数量", required = true)
    private BigDecimal qty;


    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getBillGroupId() {
        return billGroupId;
    }

    public void setBillGroupId(String billGroupId) {
        this.billGroupId = billGroupId;
    }

    public Integer getLclNo() {
        return lclNo;
    }

    public void setLclNo(Integer lclNo) {
        this.lclNo = lclNo;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getPickTaskDId() {
        return pickTaskDId;
    }

    public void setPickTaskDId(String pickTaskDId) {
        this.pickTaskDId = pickTaskDId;
    }
}
